STOFFSpreadsheetListener Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
STOFFSpreadsheetListener Class Reference

This class contents the main functions needed to create a spreadsheet processing Document. More...

`#include <STOFFSpreadsheetListener.hxx>`

Inheritance diagram for STOFFSpreadsheetListener:

## Public Member Functions
| STOFFSpreadsheetListener (STOFFParserState &parserState, std::vector< STOFFPageSpan > const &pageList, librevenge::RVNGSpreadsheetInterface *documentInterface)
| constructor More...
virtual | ~STOFFSpreadsheetListener ()
| destructor More...
Type | getType () const
| returns the listener type More...
void | setDocumentLanguage (std::string locale)
| sets the document language More...
void | setDocumentMetaData (const librevenge::RVNGPropertyList &list)
| sets the document meta data More...
void | startDocument ()
| starts the document More...
void | endDocument (bool sendDelayedSubDoc=true)
| ends the document More...
bool | isDocumentStarted () const
| returns true if a document is opened More...
void | handleSubDocument (STOFFSubDocumentPtr subDocument, libstoff::SubDocumentType subDocumentType)
| function called to add a subdocument More...
bool | isSubDocumentOpened (libstoff::SubDocumentType &subdocType) const
| returns try if a subdocument is open More...
bool | openFrame (STOFFPosition const &pos, STOFFGraphicStyle const &style=STOFFGraphicStyle())
| tries to open a frame More...
void | closeFrame ()
| tries to close a frame More...
bool | openGroup ()
| open a group (not implemented) More...
void | closeGroup ()
| close a group (not implemented) More...
bool | canWriteText () const
| returns true if we can add text data More...
bool | isPageSpanOpened () const
| returns true if a page is opened More...
STOFFPageSpan const & | getPageSpan ()
| returns the current page span More...
bool | openHeader (librevenge::RVNGPropertyList const &extras)
| open a header (interaction with STOFFPageSpan which fills the parameters for openHeader) More...
bool | openFooter (librevenge::RVNGPropertyList const &extras)
| open a footer (interaction with STOFFPageSpan which fills the parameters for openFooter) More...
bool | closeHeader ()
| close a header More...
bool | closeFooter ()
| close a footer More...
bool | insertHeaderRegion (STOFFSubDocumentPtr subDocument, librevenge::RVNGString const &which)
| insert a header More...
bool | insertFooterRegion (STOFFSubDocumentPtr subDocument, librevenge::RVNGString const &which)
| insert a footer More...
bool | isHeaderFooterOpened () const
| returns true if the header/footer is open More...
void | openSheet (std::vector< float > const &colWidth, librevenge::RVNGUnit unit, std::vector< int > const &repeatColWidthNumber=std::vector< int >(), librevenge::RVNGString const &name="")
| open a sheet More...
void | closeSheet ()
| closes this sheet More...
void | openSheetRow (float h, librevenge::RVNGUnit unit, int numRepeated=1)
| open a row with given height ( if h < 0.0, set min-row-height = -h ) More...
void | closeSheetRow ()
| closes this row More...
void | openSheetCell (STOFFCell const &cell, STOFFCellContent const &content, int numRepeated=1)
| open a cell More...
void | closeSheetCell ()
| close a cell More...
void | insertChart (STOFFPosition const &pos, STOFFChart &chart, STOFFGraphicStyle const &style=STOFFGraphicStyle())
| adds a chart in given position More...
void | insertChar (uint8_t character)
| adds a basic character, .. More...
void | insertUnicode (uint32_t character)
| adds an unicode character. More...
void | insertUnicodeString (librevenge::RVNGString const &str)
| adds a unicode string More...
void | insertTab ()
| adds a tab More...
void | insertEOL (bool softBreak=false)
| adds an end of line ( by default an hard one) More...
void | setFont (STOFFFont const &font)
| sets the font More...
STOFFFont const & | getFont () const
| returns the actual font More...
bool | isParagraphOpened () const
| returns true if a paragraph or a list is opened More...
void | setParagraph (STOFFParagraph const &paragraph)
| sets the paragraph More...
STOFFParagraph const & | getParagraph () const
| returns the actual paragraph More...
void | defineStyle (STOFFGraphicStyle const &style)
| defines a graphic styles More...
bool | isGraphicStyleDefined (librevenge::RVNGString const &name) const
| check if a graphic style with a display name is already defined More...
void | insertField (STOFFField const &field)
| adds a field type More...
void | openLink (STOFFLink const &link)
| open a link More...
void | closeLink ()
| close a link More...
void | insertNote (STOFFNote const &note, STOFFSubDocumentPtr &subDocument)
| insert a note More...
void | insertComment (STOFFSubDocumentPtr &subDocument, librevenge::RVNGString const &creator="", librevenge::RVNGString const &date="")
| adds comment More...
void | insertPicture (STOFFPosition const &pos, STOFFEmbeddedObject const &picture, STOFFGraphicStyle const &style=STOFFGraphicStyle())
| adds a picture with potential various representationin given position More...
void | insertShape (STOFFGraphicShape const &shape, STOFFGraphicStyle const &style)
| adds a shape picture in given position More...
void | insertTextBox (STOFFPosition const &pos, STOFFSubDocumentPtr subDocument, STOFFGraphicStyle const &frameStyle=STOFFGraphicStyle())
| adds a textbox in given position More...
void | insertTable (STOFFPosition const &pos, STOFFTable &table, STOFFGraphicStyle const &style=STOFFGraphicStyle())
| adds a table in given position More...
void | openTable (STOFFTable const &table)
| open a table More...
void | closeTable ()
| closes this table More...
void | openTableRow (float h, librevenge::RVNGUnit unit, bool headerRow=false)
| open a row with given height ( if h < 0.0, set min-row-height = -h ) More...
void | closeTableRow ()
| closes this row More...
void | openTableCell (STOFFCell const &cell)
| open a cell More...
void | closeTableCell ()
| close a cell More...
void | addEmptyTableCell (STOFFVec2i const &pos, STOFFVec2i span=STOFFVec2i(1, 1))
| add empty cell More...
bool | canOpenSectionAddBreak () const
| returns true if we can add open a section, add page break, ... More...
bool | isSectionOpened () const
| returns true if a section is opened More...
STOFFSection const & | getSection () const
| returns the actual section More...
bool | openSection (STOFFSection const &section)
| open a section if possible More...
bool | closeSection ()
| close a section More...
void | insertBreak (BreakType breakType)
| inserts a break type: ColumBreak, PageBreak, .. More...
Public Member Functions inherited from STOFFListener
virtual | ~STOFFListener ()
| destructor More...
virtual void | insertUnicodeList (std::vector< uint32_t > const &list)
| try to insert a list of unicode character More...

## Protected Member Functions
void | _openPageSpan (bool sendHeaderFooters=true)
| does open a new page (low level) More...
void | _closePageSpan ()
| does close a page (low level) More...
void | _startSubDocument ()
void | _endSubDocument ()
void | _handleFrameParameters (librevenge::RVNGPropertyList &propList, STOFFPosition const &pos)
void | _openParagraph ()
void | _closeParagraph ()
void | _resetParagraphState (const bool isListElement=false)
void | _openListElement ()
| open a list level More...
void | _closeListElement ()
| close a list level More...
void | _changeList ()
| update the list so that it corresponds to the actual level More...
int | _getListId () const
| low level: find a list id which corresponds to actual list and a change of level. More...
void | _openSpan ()
void | _closeSpan ()
void | _flushText ()
void | _flushDeferredTabs ()
shared_ptr< STOFFSpreadsheetListenerInternal::State > | _pushParsingState ()
| creates a new parsing state (copy of the actual state) More...
void | _popParsingState ()
| resets the previous parsing state More...

## Protected Attributes
shared_ptr< STOFFSpreadsheetListenerInternal::DocumentState > | m_ds
| the main parse state More...
shared_ptr< STOFFSpreadsheetListenerInternal::State > | m_ps
| the actual local parse state More...
std::vector< shared_ptr< STOFFSpreadsheetListenerInternal::State > > | m_psStack
| stack of local state More...
STOFFParserState & | m_parserState
| the parser state More...
librevenge::RVNGSpreadsheetInterface * | m_documentInterface
| the document interface More...

## Private Member Functions
| STOFFSpreadsheetListener (const STOFFSpreadsheetListener &)
| copy constructor (unimplemented) More...
STOFFSpreadsheetListener & | operator= (const STOFFSpreadsheetListener &)
| operator= (unimplemented) More...

## Additional Inherited Members
Public Types inherited from STOFFListener
enum | Type { Graphic, Presentation, Spreadsheet, Text }
| the listener type More...
enum | BreakType { PageBreak =0, SoftPageBreak, ColumnBreak }
| the different break type More...

## Detailed Description

This class contents the main functions needed to create a spreadsheet processing Document.

## Constructor & Destructor Documentation

STOFFSpreadsheetListener::STOFFSpreadsheetListener | ( | STOFFParserState & | parserState,
|  | std::vector< STOFFPageSpan > const & | pageList,
|  | librevenge::RVNGSpreadsheetInterface * | documentInterface
| ) |  |

constructor

STOFFSpreadsheetListener::~STOFFSpreadsheetListener | ( |  | ) |
| virtual

destructor

STOFFSpreadsheetListener::STOFFSpreadsheetListener | ( | const STOFFSpreadsheetListener & |  | ) |
| private

copy constructor (unimplemented)

## Member Function Documentation

void STOFFSpreadsheetListener::_changeList | ( |  | ) |
| protected

update the list so that it corresponds to the actual level

Referenced by _endSubDocument(), _openSpan(), closeTableCell(), endDocument(), and insertNote().

void STOFFSpreadsheetListener::_closeListElement | ( |  | ) |
| protected

close a list level

Referenced by _closeParagraph().

void STOFFSpreadsheetListener::_closePageSpan | ( |  | ) |
| protected

does close a page (low level)

Referenced by endDocument(), and insertBreak().

void STOFFSpreadsheetListener::_closeParagraph | ( |  | ) |
| protected

Referenced by _changeList(), _endSubDocument(), closeSheetCell(), closeTableCell(), endDocument(), insertBreak(), insertComment(), insertEOL(), insertNote(), openSheet(), and openTable().

void STOFFSpreadsheetListener::_closeSpan | ( |  | ) |
| protected

Referenced by _closeListElement(), _closeParagraph(), _endSubDocument(), closeLink(), insertComment(), insertNote(), and setFont().

void STOFFSpreadsheetListener::_endSubDocument | ( |  | ) |
| protected

Referenced by closeSheet(), closeTable(), handleSubDocument(), insertChart(), and insertTable().

void STOFFSpreadsheetListener::_flushDeferredTabs | ( |  | ) |
| protected

Referenced by insertChar(), insertEOL(), insertField(), insertTab(), insertUnicode(), and insertUnicodeString().

void STOFFSpreadsheetListener::_flushText | ( |  | ) |
| protected

Referenced by _closeSpan(), insertComment(), insertEOL(), insertField(), insertNote(), insertShape(), insertTab(), and openFrame().

int STOFFSpreadsheetListener::_getListId | ( |  | ) | const
| protected

low level: find a list id which corresponds to actual list and a change of level.

Note
  called when the list id is not set

Referenced by _changeList().

void STOFFSpreadsheetListener::_handleFrameParameters | ( | librevenge::RVNGPropertyList & | propList,
|  | STOFFPosition const & | pos
| ) |  |
| protected

Referenced by closeFrame(), and openFrame().

void STOFFSpreadsheetListener::_openListElement | ( |  | ) |
| protected

open a list level

Referenced by _openSpan().

void STOFFSpreadsheetListener::_openPageSpan | ( | bool | sendHeaderFooters = `true` | ) |
| protected

does open a new page (low level)

Referenced by endDocument(), getPageSpan(), and openSheet().

void STOFFSpreadsheetListener::_openParagraph | ( |  | ) |
| protected

Referenced by _openSpan(), insertComment(), insertNote(), insertShape(), and openFrame().

void STOFFSpreadsheetListener::_openSpan | ( |  | ) |
| protected

Referenced by _flushDeferredTabs(), endDocument(), handleSubDocument(), insertBreak(), insertChar(), insertEOL(), insertField(), insertShape(), insertUnicode(), insertUnicodeString(), openFrame(), and openLink().

void STOFFSpreadsheetListener::_popParsingState | ( |  | ) |
| protected

resets the previous parsing state

Referenced by closeFooter(), closeHeader(), closeLink(), closeSheet(), closeTable(), handleSubDocument(), insertChart(), and insertTable().

shared_ptr< STOFFSpreadsheetListenerInternal::State > STOFFSpreadsheetListener::_pushParsingState | ( |  | ) |
| protected

creates a new parsing state (copy of the actual state)

Returns
  the old one

Referenced by handleSubDocument(), insertChart(), insertTable(), openFooter(), openHeader(), openLink(), openSheet(), and openTable().

void STOFFSpreadsheetListener::_resetParagraphState | ( | const bool | isListElement = `false` | ) |
| protected

Referenced by _openListElement(), and _openParagraph().

void STOFFSpreadsheetListener::_startSubDocument | ( |  | ) |
| protected

Referenced by handleSubDocument(), insertChart(), insertTable(), openSheet(), and openTable().

void STOFFSpreadsheetListener::addEmptyTableCell | ( | STOFFVec2i const & | pos,
|  | STOFFVec2i | span = `STOFFVec2i(1,1)`
| ) |  |
| virtual

add empty cell

Implements STOFFListener.

bool STOFFSpreadsheetListener::canOpenSectionAddBreak | ( |  | ) | const
| inlinevirtual

returns true if we can add open a section, add page break, ...

Implements STOFFListener.

bool STOFFSpreadsheetListener::canWriteText | ( |  | ) | const
| virtual

returns true if we can add text data

Implements STOFFListener.

Referenced by insertComment(), and insertNote().

bool STOFFSpreadsheetListener::closeFooter | ( |  | ) |
| virtual

close a footer

Implements STOFFListener.

void STOFFSpreadsheetListener::closeFrame | ( |  | ) |
| virtual

tries to close a frame

Implements STOFFListener.

Referenced by insertChart(), insertPicture(), insertTable(), and insertTextBox().

void STOFFSpreadsheetListener::closeGroup | ( |  | ) |
| virtual

close a group (not implemented)

Implements STOFFListener.

bool STOFFSpreadsheetListener::closeHeader | ( |  | ) |
| virtual

close a header

Implements STOFFListener.

void STOFFSpreadsheetListener::closeLink | ( |  | ) |
| virtual

close a link

Implements STOFFListener.

bool STOFFSpreadsheetListener::closeSection | ( |  | ) |
| virtual

close a section

Implements STOFFListener.

void STOFFSpreadsheetListener::closeSheet | ( |  | ) |

closes this sheet

Referenced by endDocument().

void STOFFSpreadsheetListener::closeSheetCell | ( |  | ) |

close a cell

Referenced by openSheetCell().

void STOFFSpreadsheetListener::closeSheetRow | ( |  | ) |

closes this row

void STOFFSpreadsheetListener::closeTable | ( |  | ) |
| virtual

closes this table

Implements STOFFListener.

Referenced by _endSubDocument(), and endDocument().

void STOFFSpreadsheetListener::closeTableCell | ( |  | ) |
| virtual

close a cell

Implements STOFFListener.

Referenced by addEmptyTableCell(), and openTableCell().

void STOFFSpreadsheetListener::closeTableRow | ( |  | ) |
| virtual

closes this row

Implements STOFFListener.

void STOFFSpreadsheetListener::defineStyle | ( | STOFFGraphicStyle const & | style | ) |
| virtual

defines a graphic styles

Implements STOFFListener.

void STOFFSpreadsheetListener::endDocument | ( | bool | sendDelayedSubDoc = `true` | ) |
| virtual

ends the document

Implements STOFFListener.

STOFFFont const & STOFFSpreadsheetListener::getFont | ( |  | ) | const
| virtual

returns the actual font

Implements STOFFListener.

STOFFPageSpan const & STOFFSpreadsheetListener::getPageSpan | ( |  | ) |
| virtual

returns the current page span

Note
  this forces the opening of a new page if no page is opened.

Implements STOFFListener.

STOFFParagraph const & STOFFSpreadsheetListener::getParagraph | ( |  | ) | const
| virtual

returns the actual paragraph

Implements STOFFListener.

STOFFSection const & STOFFSpreadsheetListener::getSection | ( |  | ) | const
| virtual

returns the actual section

Implements STOFFListener.

Type STOFFSpreadsheetListener::getType | ( |  | ) | const
| inlinevirtual

returns the listener type

Implements STOFFListener.

void STOFFSpreadsheetListener::handleSubDocument | ( | STOFFSubDocumentPtr | subDocument,
|  | libstoff::SubDocumentType | subDocumentType
| ) |  |
| virtual

function called to add a subdocument

Implements STOFFListener.

Referenced by insertComment(), insertFooterRegion(), insertHeaderRegion(), insertNote(), and insertTextBox().

void STOFFSpreadsheetListener::insertBreak | ( | STOFFSpreadsheetListener::BreakType | type | ) |
| virtual

inserts a break type: ColumBreak, PageBreak, ..

Implements STOFFListener.

void STOFFSpreadsheetListener::insertChar | ( | uint8_t | character | ) |
| virtual

adds a basic character, ..

Implements STOFFListener.

void STOFFSpreadsheetListener::insertChart | ( | STOFFPosition const & | pos,
|  | STOFFChart & | chart,
|  | STOFFGraphicStyle const & | style = `STOFFGraphicStyle()`
| ) |  |

adds a chart in given position

Referenced by insertTable().

void STOFFSpreadsheetListener::insertComment | ( | STOFFSubDocumentPtr & | subDocument,
|  | librevenge::RVNGString const & | creator = `""`,
|  | librevenge::RVNGString const & | date = `""`
| ) |  |
| virtual

adds comment

Implements STOFFListener.

void STOFFSpreadsheetListener::insertEOL | ( | bool | softBreak = `false` | ) |
| virtual

adds an end of line ( by default an hard one)

Implements STOFFListener.

void STOFFSpreadsheetListener::insertField | ( | STOFFField const & | field | ) |
| virtual

adds a field type

Implements STOFFListener.

bool STOFFSpreadsheetListener::insertFooterRegion | ( | STOFFSubDocumentPtr | subDocument,
|  | librevenge::RVNGString const & | which
| ) |  |
| virtual

insert a footer

Implements STOFFListener.

bool STOFFSpreadsheetListener::insertHeaderRegion | ( | STOFFSubDocumentPtr | subDocument,
|  | librevenge::RVNGString const & | which
| ) |  |
| virtual

insert a header

Implements STOFFListener.

void STOFFSpreadsheetListener::insertNote | ( | STOFFNote const & | note,
|  | STOFFSubDocumentPtr & | subDocument
| ) |  |
| virtual

insert a note

Must not happen excepted in corrupted document, so we do the minimum. Note that we have no choice, either we begin by closing the paragraph, ... or we reprogram handleSubDocument.

Implements STOFFListener.

void STOFFSpreadsheetListener::insertPicture | ( | STOFFPosition const & | pos,
|  | STOFFEmbeddedObject const & | picture,
|  | STOFFGraphicStyle const & | style = `STOFFGraphicStyle()`
| ) |  |
| virtual

adds a picture with potential various representationin given position

Implements STOFFListener.

void STOFFSpreadsheetListener::insertShape | ( | STOFFGraphicShape const & | shape,
|  | STOFFGraphicStyle const & | style
| ) |  |
| virtual

adds a shape picture in given position

Implements STOFFListener.

void STOFFSpreadsheetListener::insertTab | ( |  | ) |
| virtual

adds a tab

Implements STOFFListener.

void STOFFSpreadsheetListener::insertTable | ( | STOFFPosition const & | pos,
|  | STOFFTable & | table,
|  | STOFFGraphicStyle const & | style = `STOFFGraphicStyle()`
| ) |  |

adds a table in given position

void STOFFSpreadsheetListener::insertTextBox | ( | STOFFPosition const & | pos,
|  | STOFFSubDocumentPtr | subDocument,
|  | STOFFGraphicStyle const & | frameStyle = `STOFFGraphicStyle()`
| ) |  |
| virtual

adds a textbox in given position

Implements STOFFListener.

Referenced by insertComment().

void STOFFSpreadsheetListener::insertUnicode | ( | uint32_t | character | ) |
| virtual

adds an unicode character.

By convention if character=0xfffd(undef), no character is added

Implements STOFFListener.

Referenced by insertChar().

void STOFFSpreadsheetListener::insertUnicodeString | ( | librevenge::RVNGString const & | str | ) |
| virtual

adds a unicode string

Implements STOFFListener.

Referenced by insertField().

bool STOFFSpreadsheetListener::isDocumentStarted | ( |  | ) | const
| virtual

returns true if a document is opened

Implements STOFFListener.

bool STOFFSpreadsheetListener::isGraphicStyleDefined | ( | librevenge::RVNGString const & | name | ) | const
| virtual

check if a graphic style with a display name is already defined

Implements STOFFListener.

bool STOFFSpreadsheetListener::isHeaderFooterOpened | ( |  | ) | const
| virtual

returns true if the header/footer is open

Implements STOFFListener.

bool STOFFSpreadsheetListener::isPageSpanOpened | ( |  | ) | const
| virtual

returns true if a page is opened

Implements STOFFListener.

bool STOFFSpreadsheetListener::isParagraphOpened | ( |  | ) | const
| virtual

returns true if a paragraph or a list is opened

Implements STOFFListener.

bool STOFFSpreadsheetListener::isSectionOpened | ( |  | ) | const
| inlinevirtual

returns true if a section is opened

Implements STOFFListener.

bool STOFFSpreadsheetListener::isSubDocumentOpened | ( | libstoff::SubDocumentType & | subdocType | ) | const
| virtual

returns try if a subdocument is open

Implements STOFFListener.

bool STOFFSpreadsheetListener::openFooter | ( | librevenge::RVNGPropertyList const & | extras | ) |
| virtual

open a footer (interaction with STOFFPageSpan which fills the parameters for openFooter)

Implements STOFFListener.

bool STOFFSpreadsheetListener::openFrame | ( | STOFFPosition const & | pos,
|  | STOFFGraphicStyle const & | style = `STOFFGraphicStyle()`
| ) |  |
| virtual

tries to open a frame

Implements STOFFListener.

Referenced by insertChart(), insertPicture(), insertTable(), and insertTextBox().

bool STOFFSpreadsheetListener::openGroup | ( |  | ) |
| virtual

open a group (not implemented)

Implements STOFFListener.

bool STOFFSpreadsheetListener::openHeader | ( | librevenge::RVNGPropertyList const & | extras | ) |
| virtual

open a header (interaction with STOFFPageSpan which fills the parameters for openHeader)

Implements STOFFListener.

void STOFFSpreadsheetListener::openLink | ( | STOFFLink const & | link | ) |
| virtual

open a link

Implements STOFFListener.

bool STOFFSpreadsheetListener::openSection | ( | STOFFSection const & | section | ) |
| virtual

open a section if possible

Implements STOFFListener.

void STOFFSpreadsheetListener::openSheet | ( | std::vector< float > const & | colWidth,
|  | librevenge::RVNGUnit | unit,
|  | std::vector< int > const & | repeatColWidthNumber = `std::vector<int>()`,
|  | librevenge::RVNGString const & | name = `""`
| ) |  |

open a sheet

void STOFFSpreadsheetListener::openSheetCell | ( | STOFFCell const & | cell,
|  | STOFFCellContent const & | content,
|  | int | numRepeated = `1`
| ) |  |

open a cell

void STOFFSpreadsheetListener::openSheetRow | ( | float | h,
|  | librevenge::RVNGUnit | unit,
|  | int | numRepeated = `1`
| ) |  |

open a row with given height ( if h < 0.0, set min-row-height = -h )

void STOFFSpreadsheetListener::openTable | ( | STOFFTable const & | table | ) |
| virtual

open a table

Implements STOFFListener.

void STOFFSpreadsheetListener::openTableCell | ( | STOFFCell const & | cell | ) |
| virtual

open a cell

Implements STOFFListener.

void STOFFSpreadsheetListener::openTableRow | ( | float | h,
|  | librevenge::RVNGUnit | unit,
|  | bool | headerRow = `false`
| ) |  |
| virtual

open a row with given height ( if h < 0.0, set min-row-height = -h )

Implements STOFFListener.

STOFFSpreadsheetListener& STOFFSpreadsheetListener::operator= | ( | const STOFFSpreadsheetListener & |  | ) |
| private

operator= (unimplemented)

void STOFFSpreadsheetListener::setDocumentLanguage | ( | std::string | locale | ) |
| virtual

sets the document language

Implements STOFFListener.

void STOFFSpreadsheetListener::setDocumentMetaData | ( | const librevenge::RVNGPropertyList & | list | ) |
| virtual

sets the document meta data

Implements STOFFListener.

void STOFFSpreadsheetListener::setFont | ( | STOFFFont const & | font | ) |
| virtual

sets the font

Implements STOFFListener.

void STOFFSpreadsheetListener::setParagraph | ( | STOFFParagraph const & | paragraph | ) |
| virtual

sets the paragraph

Implements STOFFListener.

void STOFFSpreadsheetListener::startDocument | ( |  | ) |
| virtual

starts the document

Implements STOFFListener.

Referenced by _openPageSpan().

## Member Data Documentation

librevenge::RVNGSpreadsheetInterface* STOFFSpreadsheetListener::m_documentInterface
| protected

the document interface

Referenced by _changeList(), _closeListElement(), _closePageSpan(), _closeParagraph(), _closeSpan(), _flushDeferredTabs(), _flushText(), _openListElement(), _openPageSpan(), _openParagraph(), _openSpan(), addEmptyTableCell(), closeFooter(), closeFrame(), closeHeader(), closeLink(), closeSheet(), closeSheetCell(), closeSheetRow(), closeTable(), closeTableCell(), closeTableRow(), defineStyle(), endDocument(), insertChart(), insertComment(), insertEOL(), insertField(), insertFooterRegion(), insertHeaderRegion(), insertNote(), insertPicture(), insertShape(), insertTextBox(), openFooter(), openFrame(), openHeader(), openLink(), openSheet(), openSheetCell(), openSheetRow(), openTable(), openTableCell(), openTableRow(), and startDocument().

shared_ptr<STOFFSpreadsheetListenerInternal::DocumentState> STOFFSpreadsheetListener::m_ds
| protected

the main parse state

Referenced by _changeList(), _openPageSpan(), _startSubDocument(), closeSheet(), closeSheetRow(), defineStyle(), endDocument(), getPageSpan(), handleSubDocument(), insertBreak(), insertChart(), insertNote(), insertPicture(), insertShape(), insertTable(), insertTextBox(), isDocumentStarted(), isGraphicStyleDefined(), openFrame(), openSheet(), openSheetCell(), openSheetRow(), setDocumentLanguage(), setDocumentMetaData(), and startDocument().

STOFFParserState& STOFFSpreadsheetListener::m_parserState
| protected

the parser state

Referenced by _changeList(), and _getListId().

shared_ptr<STOFFSpreadsheetListenerInternal::State> STOFFSpreadsheetListener::m_ps
| protected

the actual local parse state

Referenced by _changeList(), _closeListElement(), _closePageSpan(), _closeParagraph(), _closeSpan(), _endSubDocument(), _flushDeferredTabs(), _flushText(), _getListId(), _openListElement(), _openPageSpan(), _openParagraph(), _openSpan(), _popParsingState(), _pushParsingState(), _resetParagraphState(), _startSubDocument(), addEmptyTableCell(), canWriteText(), closeFooter(), closeFrame(), closeHeader(), closeLink(), closeSheetCell(), closeTable(), closeTableCell(), closeTableRow(), endDocument(), getFont(), getPageSpan(), getParagraph(), handleSubDocument(), insertBreak(), insertChar(), insertChart(), insertComment(), insertEOL(), insertField(), insertFooterRegion(), insertHeaderRegion(), insertNote(), insertShape(), insertTab(), insertTable(), insertUnicode(), insertUnicodeString(), isHeaderFooterOpened(), isPageSpanOpened(), isParagraphOpened(), isSubDocumentOpened(), openFooter(), openFrame(), openHeader(), openLink(), openSheet(), openSheetCell(), openTable(), openTableCell(), openTableRow(), setFont(), and setParagraph().

std::vector<shared_ptr<STOFFSpreadsheetListenerInternal::State> > STOFFSpreadsheetListener::m_psStack
| protected

stack of local state

Referenced by _popParsingState(), and _pushParsingState().

The documentation for this class was generated from the following files:

- STOFFSpreadsheetListener.hxx
- STOFFSpreadsheetListener.cxx